package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsMaterialSingleWeight;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsMaterialSingleWeightMapper extends IBaseMapper<RmsMaterialSingleWeight, BigDecimal> {

    List<Map<String, Object>> getMaterialSingleWeightList(Map<String, Object> mapValue);

    List<Map<String, Object>> getOrderMaterialInfo();

}