package com.steerinfo.dil.service;

import com.steerinfo.dil.model.RmsCapacityType;
import com.steerinfo.dil.model.RmsTransRange;
import com.steerinfo.framework.service.IBaseService;
import org.apache.ibatis.annotations.Delete;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsCapacityType服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2023-02-03 09:55
 * 类描述
 * 修订历史：
 * 日期：2023-02-03
 * 作者：generator
 * 参考：
 * 描述：RmsCapacityType服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsCapacityTypeService extends IBaseService<RmsCapacityType, BigDecimal>{

    List<Map<String,Object>> getRmsCapacityType(Map<String,Object> map);

    int insertRmsCapacityType(Map<String, Object> map);

    int deleteRmsCapacityType(BigDecimal id);

    List<Map<String,Object>> getTransRange(Map<String,Object> map);

    int insertTransRange(RmsTransRange rmsTransRange);
}